SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001473SiT!plugin hookspublic2011-02-23 10:332011-07-17 13:09
Reporternicdev 
Assigned Toivan 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.62 LTS 
Target Version3.63 LTSFixed in Version3.63 LTS 
Summary0001473: Plugin hook in "edit_escalation_path.php"
DescriptionWhile creating a plugin i noticed that the page "edit_escalation_path.php" does not have any plugin contexts nor any TRIGGERS to hook into?

Can we add a plugin context for: plugin_do('escalation_path_edit_updated')? for example when an update was made to an ecalation or a new on was created...

Thanks
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0003639)
ivan (administrator)
2011-02-23 12:17

Sure, no problem.
User avatar (0003640)
nicdev (developer)
2011-02-23 12:33

I propose:
plugin_do('escalation_path_edit_updated');

on line 86 just before the html redirect? I think that keeps to naming conventions
User avatar (0003641)
ivan (administrator)
2011-02-23 13:36

added in svn r1471

edit_escalation_path_form - Add to the edit escalation path form
edit_escalation_path_save - Perform an action after the edit escalation path form is saved
User avatar (0003730)
ivan (administrator)
2011-04-16 15:07

Fix Released in 3.63

- Issue History
Date Modified Username Field Change
2011-02-23 10:33 nicdev New Issue
2011-02-23 12:17 ivan Note Added: 0003639
2011-02-23 12:17 ivan Assigned To => ivan
2011-02-23 12:17 ivan Status new => confirmed
2011-02-23 12:18 ivan Target Version => 3.63 LTS
2011-02-23 12:33 nicdev Note Added: 0003640
2011-02-23 13:28 ivan Status confirmed => assigned
2011-02-23 13:36 ivan Note Added: 0003641
2011-02-23 13:36 ivan Status assigned => resolved
2011-02-23 13:36 ivan Fixed in Version => Current SVN
2011-02-23 13:36 ivan Resolution open => fixed
2011-04-16 15:07 ivan Note Added: 0003730
2011-04-16 15:07 ivan Status resolved => closed
2011-07-17 13:09 ivan Fixed in Version Current SVN => 3.63 LTS


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker